module.exports = {
  // Port on which the BrowserSync'server will listen
  SERVER_PORT: 8090,

  // Proxy target of the BrowserSync'server for production
  SERVER_PROXY: 'http://127.0.0.1:8000',

  // Paths to assets that aren't images, CSS, or JavaScript
  ASSETS_FILES: [
    'src/**/*',
    '!src/{img,js,scss}',
    '!src/{img,js,scss}/**/*'
  ],

  // Paths to Sass libraries, which can then be loaded with @import
  SASS_INCLUDE_PATHS: [
    'node_modules/foundation-sites/scss',
    'node_modules/motion-ui/src'
  ],

  // Paths to JavaScript entry points for webpack to bundle modules
  JS_ENTRIES: [
    'src/js/app.js'
  ],

  // Path for the development build output, which can be safely cleaned
  BUILD_PATH: 'build',

  // Path for the production build output, which will never be cleaned
  DIST_PATH: '../betg/static',
};
