import $ from 'jquery';
window.$ = window.jQuery = $;

import { whatInput } from 'what-input';
import { Foundation } from './lib/foundation';

// Configure les composants de Foundation
Foundation.Accordion.defaults.allowAllClosed = true;
Foundation.Reveal.defaults.animationIn = 'slide-in-down';
Foundation.Reveal.defaults.animationOut = 'slide-out-up';

/// Application ---------------------------------------------------------------

// Charge Foundation sur tout le document
$(document).foundation();

/**
 * Affiche ou masque un mot de passe.
 *
 * Utilise les Triggers de Foundation pour basculer un champ de type
 * 'password' en 'text', et inversement, en adaptant l'attribut `title`
 * du ou des déclencheurs et de son éventuelle icône. Par exemple :
 *
 *     <input type="password" id="pass">
 *     <button type="button" title="Afficher le mot de passe" data-toggle="pass">
 *       <span class="icon icon-eye"></span>
 *     </button>
 */
$('input[type="password"]').on('toggle.zf.trigger', function() {
  let $button = $(`[data-toggle="${this.id}"]`),
      $icon = $button.children('.icon');

  if (this.type === 'password') {
    this.type = 'text';

    if ($button.length) {
      $button.attr('title', "Masquer le mot de passe");

      if ($icon.length) {
        $icon.removeClass('icon-eye')
          .addClass('icon-eye-slash');
      }
    }
  } else {
    this.type = 'password';

    if ($button.length) {
      $button.attr('title', "Afficher le mot de passe");

      if ($icon.length) {
        $icon.removeClass('icon-eye-slash')
          .addClass('icon-eye');
      }
    }
  }

  $(this).focus();
});
