# Typographie

<p class="lead">Ce graphisme utilises la police <b>Fira Sans</b> pour les titres et paragraphes.</p>

---

## Titres

Les titres sont utilisés pour identifier différentes sections du contenu, généralement liés à un paragraphe ou d'autres éléments HTML. Ils vont de `h1` à `h6` et doivent être utilisés dans une hiérarchie claire.

---

<h1>Titre de niveau 1</h1>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h2>Titre de niveau 2</h2>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h3>Titre de niveau 3</h3>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h4>Titre de niveau 4</h4>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h5>Titre de niveau 5</h5>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h6>Titre de niveau 6</h6>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.



# Boutons

<p class="lead">Les boutons sont attachés à une action d'un certain type, que ce soit un distributeur de fromage ou juste l'envoi d'un formulaire.</p>

---

Il est possible d'étendre le style des boutons en changeant leur couleur depuis la palette, leur taille, ... Retrouvez toutes les possibilités sur la documentation de Foundation.

```html_example
<a href="#" class="primary button">Bouton principal</a>
<a href="#" class="secondary button">Bouton secondaire</a>
<a href="#" class="success button">Bouton de réussite</a>
<a href="#" class="warning button">Bouton d'attention</a>
<a href="#" class="error button">Bouton d'erreur</a>
<a href="#" class="primary small button">Petit buton</a>
```



# Callout

<p class="lead">Un *callout* permet de contenir des éléments ou juste un message à mettre en valeur, que ce soit une alerte ou un panneau.</p>

---

Comme les boutons, et d'autres composants, la palette de couleur permets de mettre en forme les *callouts* en fonction du type de message ou de contenu. Il est aussi possible de les combiner avec le bouton de fermeture, afin de les fermer tout simplement.

```html_example
<div class="callout">
  <h5>Ceci est un message</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="success callout">
  <h5>Ceci est un message de réussite</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="info callout">
  <h5>Ceci est un message d'information</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="warning callout">
  <h5>Ceci est un message de mise en garde</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="error callout" data-closable>
  <button class="close-button" aria-label="Fermer" type="button" data-close>
    <span class="icon icon-close" aria-hidden="true"></span>
  </button>
  <h5>Ceci est un message d'erreur qui se ferme</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
```



# Formulaires

<p class="lead">Utiliser des formulaires pour permettre aux personnes d'interagir sur l'application, entre autres.</p>

---

## Éléments d'un formulaire

Même pour des besoins esthétiques particuliers, les éléments d'un formulaire définis par le HTML5 doivent toujours être utilisés. Foundation se charge de les mettre en forme et unifier leur apparence sur les différents navigateurs. Enfin, en plus de ces styles, les champs de type *checkbox* et *radio* sont également mis en forme. Un exemple est donné ci-dessous.

---

## Mise en page

Les éléments d'un formulaire dans Foundation sont mis en page en fonction de leur attribut plutôt que d'une classe. Les champs occupent par défaut toute la longueur, ce qui nécessite de les contenir dans une grille en fonction du rendu que l'on veut.

---

## Exemple d'un formulaire

```html_example
<form class="grid-container">
  <div class="grid-x">
    <div class="cell">
      <label>Label<span class="asterisk">*</span>
        <input type="text" placeholder="placeholder" required>
      </label>
    </div>
  </div>
  <div class="grid-x grid-margin-x">
    <div class="large-6 cell">
      <label>Label
        <input type="text" placeholder="placeholder">
      </label>
    </div>
    <div class="large-6 cell">
      <div class="row collapse">
        <label>Label</label>
        <div class="input-group">
          <input class="input-group-field" type="text" placeholder="placeholder">
          <span class="input-group-label">.com</span>
        </div>
      </div>
    </div>
  </div>
  <div class="grid-x">
    <div class="large-12 cell">
      <label>Select
        <select>
          <option value="vert">Vert</option>
          <option value="rouge">Rouge</option>
          <option value="bleu">Bleu</option>
        </select>
      </label>
    </div>
  </div>
  <div class="grid-x grid-margin-x">
    <div class="large-6 cell">
      <fieldset class="choices-holder">
        <legend>Choisissez la couleur</legend>
        <input type="radio" name="radio1" value="radio1" id="radio1"><label for="radio1">Rouge</label>
        <input type="radio" name="radio1" value="radio2" id="radio2"><label for="radio2">Bleu</label>
      </fieldset>
    </div>
    <div class="large-6 cell">
      <fieldset class="choices-holder">
        <legend>Cochez ces cases</legend>
        <input id="checkbox1" type="checkbox"><label for="checkbox1">Checkbox 1</label>
        <input id="checkbox2" type="checkbox"><label for="checkbox2">Checkbox 2</label>
      </fieldset>
    </div>
  </div>
  <div class="grid-x">
    <div class="large-12 cell">
      <label>Textarea
        <textarea placeholder="placeholder" rows="3"></textarea>
      </label>
    </div>
  </div>
  <div class="button-holder">
    <button type="submit" class="expanded button">Envoyer</button>
  </div>
</form>
```



# Autres widgets

<p class="lead">D'autres éléments de formulaire ou d'interaction sont également mis en forme, leur utilisation est décrite ci-dessous.</p>

---

## Sélection d'une date

Un sélecteur de date est automatiquement attaché aux éléments avec l'attribut `data-datepicker`. Il s'ouvrira par défaut au clique sur l'élément, en général un champ de type `date`.

Il est possible de déclancher l'ouverture du sélecteur de date depuis un autre élément, comme un bouton par exemple. Pour cela, il faut s'assurer que le champ a un identifiant de défini, et l'utiliser comme valeur pour l'attribut `data-trigger` du déclencheur.

```html_example
<div class="grid-x grid-margin-x">
  <div class="cell medium-6">
    <input type="date" placeholder="JJ/MM/AAAA" data-datepicker>
  </div>
  <div class="cell medium-6">
    <div class="medium-compact input-group">
      <input type="date" id="datepicker-2"  class="input-group-field" placeholder="JJ/MM/AAAA" data-datepicker>
      <div class="input-group-button">
        <button type="button" class="secondary button" data-trigger="datepicker-2">
          <span class="icon icon-calendar" aria-hidden="true"></span>
        </button>
      </div>
    </div>
  </div>
</div>
```

---

## Visibilité d'un mot de passe

Depuis un champ de type `password`, la visibilité d'un mot de passe peut être basculée. Cela se fait par le biais d'un autre élément, comme un bouton par exemple, dont son attribut `data-toggle` pointe vers l'identifiant du champ.

```html_example
<div class="input-group">
  <input type="password" class="input-group-field" id="password" placeholder="Mot de passe" required>
  <div class="input-group-button">
    <button type="button" class="button" data-toggle="password" title="Afficher le mot de passe">
      <span class="icon icon-eye" aria-hidden="true"></span>
    </button>
  </div>
</div>
```
